#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		vers	3.1
#-----------------------------------------------------------------------------
Name		:	libedit
Version		:	20191025
Release		:	%{vers}.17.2.0.rel%{?dist}
Summary		:	The NetBSD Editline library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	http://thrysoee.dk/editline/

Source0		:	%{name}-%{version}-%{vers}.tar.gz

#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
%description
Libedit is an autotool- and libtoolized port of the NetBSD
Editline library.
It provides generic line editing, history, and tokenization
functions, similar to those found in GNU Readline.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc ChangeLog THANKS
%license COPYING
%{_mandir}/man5/editrc.5.gz
%{_libdir}/%{name}.so.*

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}
Requires	:	ncurses
#-----------------------------------------------------------------------------
%description		devel
This package contains development files for %{name}.


#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc examples/fileman.c examples/tc1.c examples/wtc1.c
%{_includedir}/editline/readline.h
%{_includedir}/histedit.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*.3.gz
%{_mandir}/man7/*.7.gz

#=============================================================================
%prep
%setup -q -n %{name}-%{version}-%{vers}

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure							\
        --prefix=%{_prefix}					\
	--exec-prefix=%{_exec_prefix}				\
        --sysconfdir=%{_sysconfdir}				\
        --sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--infodir=%{_infodir}					\
	--sharedstatedir=%{_var}/lib				\
	--localstatedir=%{_var}					\
	--docdir=%{_defaultdocdir}/%{name}-%{version}		\
	--disable-static


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

rm -f %{buildroot}%{_mandir}/man3/history.3*
#-----------------------------------------------------------------------------
%changelog
